
from math import *
import numpy as np
import matplotlib.pyplot as plt
def f(x): return x*np.exp(x)-1
def g(x): return np.exp(-x)
x = np.zeros(100, float)
tol=1E-4
x[0]=0.0
k=0
for i in range(1,30,1):
  x[i]=g(x[i-1])
  print (f"{i:2d}"," ",f"{x[i]:2.8f}"," ",f"{f(x[i]):2.8f}")
  if np.abs(x[i]-x[i-1]) < tol:
    k=i  
    break
print ("iti=",k,"x=",x[k])
#pour tracer la courbe
x = np.linspace(0, 1, 30)
y = x*np.exp(x)-1
plt.figure(figsize=(9,7), dpi=500)
plt.ylabel('f (x)')
plt.xlabel('x')
plt.plot(x,y)
plt.grid('on',color='r', linestyle='-.',linewidth=0.5)
plt.show()

#raw_ input("Press return to exit")
